Lock filter set for editing

View as MarkdownOpen in Claude
Lock the filter set for editing.

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

idstringRequired
ID of the filter set.

Response

Filter set locked
idstring
ID of the filter set.
versioninteger
An incrementing integer indicating the version of the filter set.
is_deletedboolean
Whether the filter set has been deleted.
is_lockedboolean
Whether the filter set has been locked.
workspace_idstring or null
ID of the workspace where the filter set can be used.
organisation_idstring or null
ID of the workspace where the filter set can be used.
namestring
Name of the filter set.
filterslist of objects
List of all filters contained in the filter set.
eligible_participant_countinteger
The number of participants who match the filter sets filters. Please note that if the number is lower than 25 the count will be obscured to prevent identification of participants.

Errors

4XX
Client Request Error